#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf libdrm-2.3.1.tar.bz2
    cd libdrm-2.3.1
    ./configure --prefix=/usr
    make
    strip -R .note -R .comment libdrm/.libs/libdrm.so.2
    mkdir -p ../libdrm2/lib
    cp libdrm/.libs/libdrm.so.2 ../libdrm2/lib/
    cd ..
    rm -rf libdrm-2.3.1
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
